"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _1 = require(".");
function dispose(m) {
    //@ts-ignore
    if (m.geometry)
        //@ts-ignore
        m.geometry.dispose();
    m.children.forEach(function (o) { return dispose(o); });
}
function LoadBoard(view, data, clear) {
    if (clear === void 0) { clear = true; }
    if (clear) {
        dispose(view.m_Scene);
        view.m_Scene.children.length = 0;
    }
    if (data.length === 0)
        return;
    //加板
    var _a = _1.createTemplateBoard(data), meshs = _a.meshs, edgesa = _a.edgesa;
    //加标注
    var dims = _1.DrawDimension(meshs);
    (_b = view.m_Scene).add.apply(_b, meshs);
    (_c = view.m_Scene).add.apply(_c, edgesa);
    (_d = view.m_Scene).add.apply(_d, dims);
    view.ViewToSwiso();
    view.ZoomAll();
    view.Zoom(1.1);
    var _b, _c, _d;
}
exports.LoadBoard = LoadBoard;
//# sourceMappingURL=Utils.js.map